For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • FreeCustom.Email API
        • GETGet current user (account info)
LogoLogo
FreeCustom.Email APIV1Me

Get current user (account info)

||View as Markdown|
GET
https://api2.freecustom.email/v1/me
GET
/v1/me
$curl https://api2.freecustom.email/v1/me \
> -H "Authorization: Bearer <token>"
1{
2 "success": true,
3 "data": {
4 "plan": "startup",
5 "credits": 25000,
6 "features": {
7 "otp_extraction": false,
8 "attachments": false,
9 "max_attachment_size_mb": 6981,
10 "custom_domains": true,
11 "websocket": false,
12 "max_ws_connections": 2137
13 },
14 "rate_limits": {
15 "requests_per_second": 4688,
16 "requests_per_month": 7214
17 },
18 "api_inboxes": [
19 "string",
20 "string"
21 ],
22 "api_inbox_count": 6946,
23 "app_inboxes": [
24 "string",
25 "string"
26 ],
27 "app_inbox_count": 7852,
28 "custom_domains": [
29 {
30 "domain": "mail.acme.com",
31 "verified": true,
32 "mx_record": "mx.freecustom.email",
33 "txt_record": "freecustomemail-verification=a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
34 "added_at": "2026-01-15T10:00:00.000Z"
35 },
36 {
37 "domain": "mail.acme.com",
38 "verified": true,
39 "mx_record": "mx.freecustom.email",
40 "txt_record": "freecustomemail-verification=a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
41 "added_at": "2026-01-15T10:00:00.000Z"
42 }
43 ],
44 "custom_domain_count": 6778
45 }
46}

Returns the authenticated developer’s account info — plan, rate limits, feature flags, inbox count, credit balance, and custom domain count.

Was this page helpful?
Next

Get usage stats

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response headers

X-API-Planstring
X-RateLimit-Limit-Secondstring
X-RateLimit-Remaining-Secondstring
X-RateLimit-Limit-Monthstring
X-RateLimit-Remaining-Monthstring

Response

OK
successboolean
dataobject

Errors

401
Unauthorized Error
429
Too Many Requests Error